[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Freeze exception request for libdbi-ruby 0.2.2-1

The only difference between is Ruby/DBI 0.2.0 and 0.2.2 is a fix for
RubyForge bug #21567 [0], I have reviewed the difference between the
releases and it is identical to the patches posted on the bug page.

[0] http://rubyforge.org/tracker/index.php?func=detail&aid=21567&group_id=234&atid=967

The bug is rather nasty: because of it, the PostgreSQL driver can't
handle a whole class of queries. If reported via Debian, it would be
of severity 'important'. The fix is small and doesn't introduce any
side effects, I've been using this version in production since it was
uploaded to unstable (two weeks ago) without any issues.

The only other change to the package apart from this bugfix is a
package documentation update for Policy 3.8.0 (Homepage: field and

As a side note for the curious, Ruby/DBI 0.4.0 was released recently,
but this version is a major overhaul that is too big for Lenny, so I
intend to try it out in experimental and upload it to unstable only
after Lenny is released.

Dmitry Borodaenko

Reply to: